API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/performance-records/generate

POST/v1/performance-records/generate

Generate a performance record (Leistungsnachweis) from approved time records

Datenmodell

Diese Operation arbeitet auf der Entität Performance Record (performance_record). Alle 27 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
partyIderforderlichstring
periodStarterforderlichstring<date>
periodEnderforderlichstring<date>
contractIdstring
timeRecordIdsstring[]

Beispiel

curl -X POST https://api.codemeta-os.de/v1/performance-records/generate \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "partyId": "string",
  "periodStart": "string",
  "periodEnd": "string",
  "contractId": "string",
  "timeRecordIds": []
}'
const result = await cm.performance-records.post({
  "partyId": "string",
  "periodStart": "string",
  "periodEnd": "string",
  "contractId": "string",
  "timeRecordIds": []
});

Antwortcodes

HTTP Bedeutung
201 Default Response

Suche